How to selected curve on surface?

I have 2 curves. I create planar surface with them. Then i want select 2 curves on surface i created . I don’t want use ‘DuplicateEdgeCurves’ because influence another curves . how can do that with python?

Please help me!

Hello - BrepFace.AdjacentEdges(), then get the curves from these edge indices and JoinCurves() seems like a possibility -no doubt there is a better way…

import rhinoscriptsyntax as rs
import Rhino
import scriptcontext as sc


id = rs.GetObject(preselect=True)
tol = sc.doc.ModelAbsoluteTolerance
brep = rs.coercebrep(id)
crvs = [brep.Edges[idx].ToNurbsCurve() for idx in brep.Faces[0].AdjacentEdges()]
crvs = Rhino.Geometry.Curve.JoinCurves(crvs, tol, False)
for crv in crvs:
    sc.doc.Objects.AddCurve(crv)
sc.doc.Views.Redraw()

-Pascal

1 Like

This is not solution for me. i created surfaces with curves be chosen. I want reselected curves i create surfaces before

can you help me?